package complaint;

import exceptions.ObjectNotFoundException;

public interface IComplaintRepository {

    public Complaint search(int complaintCode) throws ObjectNotFoundException;
    public void update(Complaint complaint) throws ObjectNotFoundException;
    public int insert(Complaint complaint);
    public boolean exists(int complaintCode);
    public void remove(int complaintCode) throws ObjectNotFoundException;
}