package complaint;

import exceptions.ObjectNotFoundException;

public interface ISymptomRepository {
 
    public void insert(Symptom symptom);
    public void update(Symptom symptom) throws ObjectNotFoundException;
    public boolean exists(int symptomCode);
    public Symptom search(int symptomCode) throws ObjectNotFoundException;
    public void remove(int symptomCode) throws ObjectNotFoundException;
}