package healthGuide;

import util.IteratorHW;

import exceptions.ObjectNotFoundException;

public interface ISpecialtyRepository {

	public void update(MedicalSpecialty especialty) throws ObjectNotFoundException;
	public boolean exists(int code);
	public IteratorHW getSpecialtyList() throws ObjectNotFoundException;
	public void insert(MedicalSpecialty specialty);
	public MedicalSpecialty search(int code) throws ObjectNotFoundException;
	public void remove(int code) throws ObjectNotFoundException;
}
