package complaint;

import util.IteratorHW;

import exceptions.ObjectNotFoundException;

public interface IDiseaseRepository {

    public void update(DiseaseType td) throws ObjectNotFoundException;
    public boolean exists(int diseaseCode);
    public IteratorHW getDiseaseTypeList() throws ObjectNotFoundException;
    public void insert(DiseaseType diseaseType);
    public DiseaseType search(int diseaseCode) throws ObjectNotFoundException;
    
}
