package employee;

import exceptions.ObjectAlreadyInsertedException;
import exceptions.ObjectNotFoundException;

public interface IEmployeeRepository {

	public Employee search(String login) throws ObjectNotFoundException;
	public void update(Employee employee) throws ObjectNotFoundException;
	public void insert(Employee employee) throws ObjectAlreadyInsertedException;
	public boolean exists(String login);
	public void remove(String login) throws ObjectNotFoundException;
}