package healthGuide;

import util.IteratorHW;

import exceptions.ObjectNotFoundException;

public interface IHealthUnitRepository {

	public void update(HealthUnit unit) throws ObjectNotFoundException;
	public boolean exists(int code);
	public IteratorHW getHealthUnitList() throws ObjectNotFoundException;
	public IteratorHW getHealthUnitListBySpecialty(int specialtyCode) throws ObjectNotFoundException;
	public void insert(HealthUnit unit);
	public HealthUnit search(int code) throws ObjectNotFoundException;
	public void remove(int code) throws ObjectNotFoundException;
}
